
Foreman - Bug #9078

Redirect after host destroy not working

01/22/2015 07:58 AM - Stephen Benjamin

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After deleting a host, it's trying to redirect to the host itself:

Processing by HostsController#destroy as HTML

  Parameters: {"authenticity_token"=>"XXXXXXXXXXXXXX", "id"=>"test.os1.phx2.redhat.com"}

Delete DHCP reservation for test.os1.phx2.redhat.com-52:54:00:aa:c8:43/192.168.100.100

Delete the TFTP configuration for test.os1.phx2.redhat.com

Remove puppet certificate for test.os1.phx2.redhat.com

Delete the autosign entry for test.os1.phx2.redhat.com

Removing Compute instance for test.os1.phx2.redhat.com

Redirected to https://sat-perf-01.idm.lab.bos.redhat.com/hosts/test.os1.phx2.redhat.com

Completed 302 Found in 6083ms (ActiveRecord: 148.2ms)

Processing by HostsController#show as HTML

  Parameters: {"id"=>"test.os1.phx2.redhat.com"}

  Rendered common/404.html.erb within layouts/application (130.4ms)

  Rendered layouts/base.html.erb (2.4ms)

Completed 404 Not Found in 164ms (Views: 144.4ms | ActiveRecord: 3.4ms)

 Latest nightly on RHEL 6.

Related issues:

Is duplicate of Foreman - Bug #8638: Delete Host action should return /hosts ... Closed 12/09/2014

History

#1 - 01/22/2015 09:21 AM - Dominic Cleal

- Status changed from New to Need more information

Can you please confirm the package version?  This should have been fixed since #8638.

#2 - 01/23/2015 02:52 AM - Stephen Benjamin

- Status changed from Need more information to Duplicate

Ah sorry, the foreman package was out of date.

#3 - 01/23/2015 02:52 AM - Stephen Benjamin

- Is duplicate of Bug #8638: Delete Host action should return /hosts instead of 404 on /hosts/delete-host.domain added
